Epoch: 1

%global qualifier R-4.19-202103031800

Summary: Eclipse Compiler for Java
Name: ecj
Version: 4.19
Release: %mkrel 2
Group:   Development/Java
URL: https://www.eclipse.org
License: EPL-2.0

Source0: https://download.eclipse.org/eclipse/downloads/drops4/%{qualifier}/ecjsrc-%{version}.jar
Source1: https://repo1.maven.org/maven2/org/eclipse/jdt/ecj/3.25.0/ecj-3.25.0.pom
# Extracted from https://www.eclipse.org/downloads/download.php?file=/eclipse/downloads/drops4/%%{qualifier}/ecj-%%{version}.jar
Source4: MANIFEST.MF
# Java API stubs for newer JDKs to allow us to build on the system default JDK
# Fetched from https://github.com/eclipse/eclipse.jdt.core/blob/R4_18/org.eclipse.jdt.compiler.tool/lib/javax15api.jar
Source5: https://github.com/eclipse/eclipse.jdt.core/blob/R4_18/org.eclipse.jdt.compiler.tool/lib/javax15api.jar

# Always generate debug info when building RPMs (Andrew Haley)
Patch0: %{name}-rpmdebuginfo.patch

# Include java API stubs in build
Patch1: javaAPI.patch

BuildArch: noarch

BuildRequires: ant
BuildRequires: javapackages-local

# Build with Java 11 against bootclasspath of Java 8
BuildRequires: java-11-openjdk-devel
BuildRequires: java-1.8.0-openjdk-devel

%description
ECJ is the Java bytecode compiler of the Eclipse Platform.  It is also known as
the JDT Core batch compiler.

%prep
%setup -q -c
%patch0 -p1
%patch1

sed -i -e 's|debuglevel=\"lines,source\"|debug=\"yes\"|g' build.xml

cp %{SOURCE1} pom.xml
mkdir -p scripts/binary/META-INF/
cp %{SOURCE4} scripts/binary/META-INF/MANIFEST.MF
rm ./META-INF/ECLIPSE_.{SF,RSA}

# Aliases
%mvn_alias org.eclipse.jdt:ecj org.eclipse.jdt:core org.eclipse.jdt.core.compiler:ecj \
  org.eclipse.tycho:org.eclipse.jdt.core org.eclipse.tycho:org.eclipse.jdt.compiler.apt

# Make Java API stubs available for other packages
%mvn_artifact "org.eclipse:javax15api:jar:15" %{SOURCE5}

%build
ant -Djavaapi=%{SOURCE5}

%install
%mvn_artifact pom.xml ecj.jar
%mvn_install

# Install the ecj wrapper script
%jpackage_script org.eclipse.jdt.internal.compiler.batch.Main '' '' ecj ecj true

# Install manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 -p ecj.1 $RPM_BUILD_ROOT%{_mandir}/man1/ecj.1

%files -f .mfiles
%license about.html
%{_bindir}/ecj
%{_mandir}/man1/ecj*



%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1:4.19-2.mga9
+ Revision: 1835499
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 1:4.19-1.mga9
+ Revision: 1701079
- Update to latest upstream release 4.19

* Tue Mar 02 2021 daviddavid <daviddavid> 1:4.18-1.mga9
+ Revision: 1695860
- Update to latest upstream release 4.18
- Allow building against Java 11

* Fri Nov 13 2020 tv <tv> 1:4.17-1.mga8
+ Revision: 1644940
- Update to latest upstream release
+ daviddavid <daviddavid>
- Update to latest upstream version 4.14
- Remove upstream code-signatures

* Sat Feb 15 2020 umeabot <umeabot> 1:4.11-2.mga8
+ Revision: 1527618
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1:4.11-1.mga8
+ Revision: 1422501
- Update to latest release candidate of 4.11

* Wed Dec 12 2018 neoclust <neoclust> 1:4.10-1.mga7
+ Revision: 1340888
- New version 4.10

* Tue Dec 11 2018 daviddavid <daviddavid> 1:4.7.3a-1.mga7
+ Revision: 1340188
- new version: 4.7.3a (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 1:4.6.3-3.mga7
+ Revision: 1260909
- Mageia 7 Mass Rebuild

* Thu Jun 29 2017 daviddavid <daviddavid> 1:4.6.3-2.mga6
+ Revision: 1108671
- Update aliases for jetty

* Sun May 14 2017 neoclust <neoclust> 1:4.6.3-1.mga6
+ Revision: 1101284
- Update to Neon.3 release

* Fri Oct 07 2016 daviddavid <daviddavid> 1:4.6-1.mga6
+ Revision: 1059446
- Update to Neon release
- adjust 'eclipse-gcj-compat4.2.1' patch to make it build

* Wed May 04 2016 neoclust <neoclust> 1:4.5.2-2.mga6
+ Revision: 1009188
- Rebuild with new eclipse

* Mon May 02 2016 neoclust <neoclust> 1:4.5.2-1.mga6
+ Revision: 1008552
- New version 4.5.2

* Fri Apr 01 2016 cjw <cjw> 1:4.5.1-4.mga6
+ Revision: 997489
- add back support for gcj that was removed in 4.5.1-1

* Wed Mar 02 2016 neoclust <neoclust> 1:4.5.1-3.mga6
+ Revision: 981866
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1:4.5.1-2.mga6
+ Revision: 975807
- First rebuild of the java stack
- sync package ecj with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1:4.4.0-2.mga6
+ Revision: 951339
- Mageia 6 Mass Rebuild

* Fri Dec 19 2014 cjw <cjw> 1:4.4.0-1.mga5
+ Revision: 804278
- add BuildRequires: locales
- set LC_ALL to a UTF8 locale, in C locale javac complains about ecj source code
- 4.4
- remove obsolete gcjbootstrap build option

* Wed Oct 15 2014 umeabot <umeabot> 1:4.2.1-10.mga5
+ Revision: 740941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.2.1-9.mga5
+ Revision: 678922
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1:4.2.1-8.mga5
+ Revision: 665338
- remove gcj aot-compilation support and -native subpackage (from fedora)

* Sat Oct 19 2013 umeabot <umeabot> 1:4.2.1-7.mga4
+ Revision: 529866
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1:4.2.1-6.mga4
+ Revision: 453800
- Add depmap for org.eclipse.jdt.core.compiler:ecj
- Add manpage for ecj executable

* Fri Jan 11 2013 umeabot <umeabot> 1:4.2.1-5.mga3
+ Revision: 349309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 1:4.2.1-4.mga3
+ Revision: 327467
- Rebuild against new eclipse

* Thu Dec 06 2012 dmorgan <dmorgan> 1:4.2.1-3.mga3
+ Revision: 327381
- New version

* Sun Sep 09 2012 dmorgan <dmorgan> 1:3.4.2-7.mga3
+ Revision: 290703
- Add a separate gcj sub package

* Fri Feb 11 2011 dmorgan <dmorgan> 3.4.2-6.mga1
+ Revision: 50002
- Fix provides

* Thu Feb 03 2011 dmorgan <dmorgan> 3.4.2-5.mga1
+ Revision: 46741
- Add provides when in bootstrap

* Tue Feb 01 2011 dmorgan <dmorgan> 3.4.2-4.mga1
+ Revision: 45831
- Adapt for mageia
- imported package ecj

